Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
dump_arg Struct Reference

## Data Fields
VALUE | str
VALUE | dest
st_table * | symbols
st_table * | data
st_table * | compat_tbl
st_table * | encodings

## Detailed Description

Definition at line 153 of file marshal.c.

## Field Documentation

## ◆ compat_tbl

st_table* dump_arg::compat_tbl

Definition at line 157 of file marshal.c.

## ◆ data

st_table* dump_arg::data

Definition at line 156 of file marshal.c.

## ◆ dest

VALUE dump_arg::dest

Definition at line 154 of file marshal.c.

## ◆ encodings

st_table* dump_arg::encodings

Definition at line 158 of file marshal.c.

## ◆ str

VALUE dump_arg::str

Definition at line 154 of file marshal.c.

## ◆ symbols

st_table* dump_arg::symbols

Definition at line 155 of file marshal.c.

The documentation for this struct was generated from the following file:

- marshal.c